com.lowagie.text.pdf.draw

## Class DottedLineSeparator

- java.lang.Object
- - com.lowagie.text.pdf.draw.VerticalPositionMark
  - - com.lowagie.text.pdf.draw.LineSeparator
    - - com.lowagie.text.pdf.draw.DottedLineSeparator

All Implemented Interfaces:
  Element, DrawInterface

    public class DottedLineSeparator
    extends LineSeparator

Element that draws a dotted line from left to right. Can be added directly to a document or column. Can also be used to create a separator chunk.

Since:
  2.1.2

### Field Summary

Fields
`protected float` `gap` the gap between the dots.

### Fields inherited from class com.lowagie.text.pdf.draw.LineSeparator

`alignment, lineColor, lineWidth, percentage`

### Fields inherited from class com.lowagie.text.pdf.draw.VerticalPositionMark

`drawInterface, offset`

### Fields inherited from interface com.lowagie.text.Element

`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

### Constructor Summary

Constructors
Constructor and Description
`DottedLineSeparator()`

### Method Summary

Methods
`void` `draw(PdfContentByte canvas, float llx, float lly, float urx, float ury, float y)` Implement this method if you want to draw something at the current Y position (for instance a line).
`float` `getGap()` Getter for the gap between the center of the dots of the dotted line.
`void` `setGap(float gap)` Setter for the gap between the center of the dots of the dotted line.

### Methods inherited from class com.lowagie.text.pdf.draw.LineSeparator

`drawLine, getAlignment, getLineColor, getLineWidth, getPercentage, setAlignment, setLineColor, setLineWidth, setPercentage`

### Methods inherited from class com.lowagie.text.pdf.draw.VerticalPositionMark

`getChunks, getDrawInterface, getOffset, isContent, isNestable, process, setDrawInterface, setOffset, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.lowagie.text.Element

`toString`

### Field Detail

#### gap

    protected float gap

the gap between the dots.

### Constructor Detail

#### DottedLineSeparator

    public DottedLineSeparator()

### Method Detail

#### draw

    public void draw(PdfContentByte canvas,
            float llx,
            float lly,
            float urx,
            float ury,
            float y)

Description copied from interface: `DrawInterface`
Implement this method if you want to draw something at the current Y position (for instance a line).

Specified by:
  `draw` in interface `DrawInterface`
Overrides:
  `draw` in class `LineSeparator`
Parameters:
  `canvas` - the canvas on which you can draw
  `llx` - the x coordinate of the left page margin
  `lly` - the y coordinate of the bottom page margin
  `urx` - the x coordinate of the right page margin
  `ury` - the y coordinate of the top page margin
  `y` - the current y position on the page
See Also:
  `DrawInterface.draw(com.lowagie.text.pdf.PdfContentByte, float, float, float, float, float)`

#### getGap

    public float getGap()

Getter for the gap between the center of the dots of the dotted line.

Returns:
  the gap between the center of the dots

#### setGap

    public void setGap(float gap)

Setter for the gap between the center of the dots of the dotted line.

Parameters:
  `gap` - the gap between the center of the dots